import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'cardType',
  standalone: true
})
export class CardTypePipe implements PipeTransform {

  transform(statusCode: string): string {
    switch (statusCode) {
      case '00':
        return '借记';
      case '01':
        return '贷记';
      case '02':
        return '微信零钱';
      case '03':
        return '支付宝花呗';
      case '04':
        return '支付宝其他';
      case '05':
        return '数字货币';
      case '06':
        return '拉卡拉支付账户';
      default:
        return '未知';
    }
  }
}
